package com.ym.mec.education.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.education.base.BaseResponse;
import com.ym.mec.education.base.PageResponse;
import com.ym.mec.education.entity.Teacher;
import com.ym.mec.education.req.TeacherReq;

/**
 * <p>
 * 教师表 服务类
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
public interface ITeacherService extends IService<Teacher> {

    PageResponse teacherList(TeacherReq req);

    BaseResponse teacherDetail(TeacherReq req);

    PageResponse teacherVipClass(TeacherReq req);

    PageResponse dailySchedule(TeacherReq req);
}
